# Generated from bipbop-0.5.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bipbop

Name: rubygem-%{gem_name}
Version: 0.5.4
Release: 1%{?dist}
Summary: Ruby bindings for the bipbop API
License: MIT
URL: http://github.com/rafaelp/bipbop-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) = 2.8.0
# BuildRequires: rubygem(jeweler) = 2.0.1
# BuildRequires: rubygem(simplecov) = 0.9.1
# BuildRequires: rubygem(vcr) = 2.9.3
# BuildRequires: rubygem(webmock) = 1.20.0
# BuildRequires: rubygem(dotenv) = 0.11.1
# BuildRequires: rubygem(codeclimate-test-reporter) = 0.4.0
# BuildRequires: rubygem(coveralls) = 0.7.11
# BuildRequires: rubygem(nokogiri) = 1.6.8
BuildArch: noarch

%description
bipbop is the best service for consulting brazilian data. See
http://bipbop.com.br/ for more information. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bipbop.gemspec
%{gem_instdir}/spec

%changelog
* Mon Feb 07 2022 mockbuilder - 0.5.4-1
- Initial package
